## open-infrastructure-system-tools 20190202

=== system-build/Makefile ===
# Makefile

SHELL := sh -e

SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done."

build:
	@echo "Nothing to build."

install:
	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/build
	cp -r data functions VERSION.txt $(DESTDIR)/usr/share/live/build
	cp -r share/* $(DESTDIR)/usr/share/live/build

	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp -a frontend/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/live
	cp -a scripts/* $(DESTDIR)/usr/lib/live

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-build
	cp -r LICENSE.txt examples $(DESTDIR)/usr/share/doc/live-build

uninstall:
	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live/build
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live > /dev/null 2>&1 || true

	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-build

clean:

distclean:

reinstall: uninstall install

=== system-images/Makefile ===
# Makefile

# system-images - Debian based live and installer images
# Copyright (C) 2006-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = system-images

all: build

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

install: build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -a CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -a share/images/* $(DESTDIR)/usr/share/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			if [ -e "$${FILE}" ]; \
			then \
				rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
			fi; \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build

=== debian/changelog ===
open-infrastructure-system-tools (20190202-1) unstable; urgency=medium

  * Initial upload to sid, merging:
    - open-infrastructure-system-boot
    - open-infrastructure-system-build
    - open-infrastructure-system-config
    - open-infrastructure-system-images

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 11:37:07 +0100

=== debian/control ===
Source: open-infrastructure-system-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/system-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools

Package: open-infrastructure-system-boot
Section: admin
Architecture: all
Depends:
 busybox | busybox-initramfs,
 initramfs-tools,
 udev,
 ${misc:Depends},
Recommends:
 rsync,
 uuid-runtime,
Suggests:
 cryptsetup,
 curlftpfs,
 httpfs2,
 wget,
Conflicts:
 live-boot,
 live-boot-doc,
 live-boot-initramfs-tools,
Replaces:
 live-boot,
 live-boot-doc,
 live-boot-initramfs-tools,
Provides:
 system-boot,
Description: Boot Debian-based system images
 system-boot provides the system integration for booting from a read-only root
 filesystem such as a live system.

Package: open-infrastructure-system-build
Section: admin
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 cpio,
 live-manual-html | live-manual,
 wget,
Suggests:
 debian-keyring,
 gpgv,
Conflicts:
 live-build,
Replaces:
 live-build,
Provides:
 system-build,
Description: Build Debian-based system images
 system-build is a tool to build system images such as a live system from a
 configuration directory.

Package: open-infrastructure-system-config
Section: admin
Architecture: all
Depends:
 systemd,
 ${misc:Depends},
Recommends:
 dbus,
 iproute2 | iproute,
 keyboard-configuration,
 locales | locales-all,
 sudo,
 user-setup,
Suggests:
 pciutils,
 wget,
Conflicts:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Replaces:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Provides:
 system-config,
Description: Configure Debian-based system images
 system-config provides the system integration for configuring a read-only root
 filesystem such as a live system.

Package: open-infrastructure-system-images
Section: admin
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20161115),
 ${misc:Depends},
Provides:
 system-images,
Description: Debian-based system images
 system-images contains the configuration directories for system-build to
 build live system images.

## open-infrastructure-system-tools 20190301

=== system-config/Makefile ===
# Makefile

## live-config(7) - System Configuration Components
## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = backend/*/*.init frontend/* components/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be obtained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing backend
	mkdir -p $(DESTDIR)/etc/init.d
	cp backend/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp backend/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service

	# Installing frontend
	mkdir -p $(DESTDIR)/bin
	cp frontend/* $(DESTDIR)/bin

	# Installing components
	mkdir -p $(DESTDIR)/lib/live/config
	cp components/* $(DESTDIR)/lib/live/config

	mkdir -p $(DESTDIR)/var/lib/live/config

	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/config
	cp -r VERSION share/* $(DESTDIR)/usr/share/live/config

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-config
	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-config

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling backend
	rm -f $(DESTDIR)/etc/init.d/live
	rm -f $(DESTDIR)/etc/init.d/live-config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init.d > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/etc/init/live-config.conf
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/lib/systemd/system/live-config.service
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/systemd/system > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/systemd > /dev/null 2>&1 || true

	# Uninstalling components
	rm -rf $(DESTDIR)/lib/live/config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live/config > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var > /dev/null 2>&1 || true

	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live/config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== system-boot/manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

=== system-images/share/man/Makefile ===
# Makefile

# system-images - Debian based live and installer images
# Copyright (C) 2006-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-system-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-system-tools (20190301-lts1-5) sid; urgency=medium

  * Uploading to sid.
  * Moving aliased files from / to /usr using dh_movetousr (DEP17), thanks
    to Michael Biebl <biebl@debian.org> (Closes: #1073663).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Sep 2024 18:41:36 +0200

open-infrastructure-system-tools (20190301-lts1-4) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to work on systems with /usr move, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1064449).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:38:42 +0200

open-infrastructure-system-tools (20190301-lts1-3) sid; urgency=medium

  * Uploading to sid.
  * Adding changelog entries for 20190301-lts1-2.1.
  * Updating to debhelper version 13.
  * Updating to standards version 4.6.2.
  * Replacing which with command in maintainer scripts.
  * Updating packaging copyright for 2023.
  * Using https where approriate in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:44:04 +0100

open-infrastructure-system-tools (20190301-lts1-2.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:37 +0200

open-infrastructure-system-tools (20190301-lts1-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding patch to fix FTBFS with newer asciidoc versions (Closes:
    #948903).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 22:03:14 +0100

open-infrastructure-system-tools (20190301-lts1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 18:40:44 +0100

open-infrastructure-system-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating watch file.
  * Updating upstream urls.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 18:37:14 +0100

open-infrastructure-system-tools (20190202-1) sid; urgency=medium

  * Initial upload to sid, merging:
    - open-infrastructure-system-boot
    - open-infrastructure-system-build
    - open-infrastructure-system-config
    - open-infrastructure-system-images

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 11:37:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-movetousr,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
 Homepage: https://open-infrastructure.net/software/system-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	$(MAKE) -C system-boot clean
	$(MAKE) -C system-build clean
	$(MAKE) -C system-config clean
	$(MAKE) -C system-images clean

override_dh_auto_build:
	dh_auto_build

	$(MAKE) -C system-boot
	$(MAKE) -C system-build
	$(MAKE) -C system-config
	$(MAKE) -C system-images

override_dh_auto_install:
	dh_auto_install

	$(MAKE) -C system-boot install DESTDIR=$(CURDIR)/debian/open-infrastructure-system-boot
	$(MAKE) -C system-build install DESTDIR=$(CURDIR)/debian/open-infrastructure-system-build
	$(MAKE) -C system-config install DESTDIR=$(CURDIR)/debian/open-infrastructure-system-config
	$(MAKE) -C system-images install DESTDIR=$(CURDIR)/debian/open-infrastructure-system-images

	# Removing useless files
	rm -rf debian/*/usr/share/doc/live-boot
	rm -f debian/*/bin/live-swapfile

	rm -rf debian/*/usr/share/doc/live-build

	rm -f debian/open-infrastructure-system-images/usr/share/doc/system-images/CHANGELOG.txt
	rm -f debian/open-infrastructure-system-images/usr/share/doc/system-images/LICENSE.txt
	mv debian/open-infrastructure-system-images/usr/share/doc/system-images debian/open-infrastructure-system-images/usr/share/doc/open-infrastructure-system-images

override_dh_compress:
	dh_compress -Xusr/share/doc/open-infrastructure-system-config/examples -Xusr/share/system-images

	# Recompressing without timestamp
	cd debian/open-infrastructure-system-build/usr/share/live/build/bootloaders/grub-legacy && \
	gunzip splash.xpm.gz && \
	gzip -n splash.xpm

	# Using systemd instead of sysvinit
	rm -rf debian/*/etc/init.d
	rm -f debian/*/lib/live/config/*-sysvinit
	rm -f debian/*/lib/live/config/*-sysv-rc

	# Using user-setup instead of live-debconfig
	rm -f debian/tmp/live/config/*live-debconfig*

	# Removing unused files
	rm -rf debian/*/usr/share/doc/live-config
	rm -f debian/*/bin/live-config-update

override_dh_link:
	dh_link

	# workaround dh_link convertion of absolute symlinks to relvative symlinks
	rm -rf debian/open-infrastructure-system-build/usr/share/live/build/bootloaders
	cp -a system-build/share/bootloaders debian/open-infrastructure-system-build/usr/share/live/build/bootloaders

	for DIRECTORY in debian/*/usr/share/system-images/*; \
	do \
		IMAGE="$$(basename $${DIRECTORY})"; \
		rm -rf debian/open-infrastructure-system-images/usr/share/system-images/$${IMAGE}/config/bootloaders; \
		cp -a system-images/share/images/$${IMAGE}/config/bootloaders debian/open-infrastructure-system-images/usr/share/system-images/$${IMAGE}/config/bootloaders; \
	done
